unpushed
FEDORA-2016-9ed4d853f0 created by error 6 years ago for Fedora 23

Update to upstream 1.6.0

This update has been submitted for testing by error.

6 years ago

This update has been pushed to testing.

6 years ago
User Icon comzeradd commented & provided feedback 6 years ago
karma

docker-compose-1.6.0 requires python-docker-py>=0.7.0, which is not on our repos yet. So this is broken.

See this relevant upstream bug.

Traceback (most recent call last):
  File "/bin/docker-compose", line 9, in <module>
    load_entry_point('docker-compose==1.6.0', 'console_scripts', 'docker-compose')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 558, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2682, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2355, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2361, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/compose/cli/main.py", line 26, in <module>
    from ..project import NoSuchService
  File "/usr/lib/python2.7/site-packages/compose/project.py", line 21, in <module>
    from .network import build_networks
  File "/usr/lib/python2.7/site-packages/compose/network.py", line 7, in <module>
    from docker.utils import create_ipam_config
ImportError: cannot import name create_ipam_config
BZ#1300106 docker-compose-1.6.0 is available

This update has been unpushed.

User Icon ncoghlan commented & provided feedback 6 years ago

(Noting for future reference: the problematic dependency is on python-docker-py 1.7, not 0.7)

User Icon ttomecek commented & provided feedback 6 years ago

Here's an update of python-docker-py-1.7.2:

FEDORA-2016-75efb0affc

I believe we'll also need new release of dockerpty.

User Icon ttomecek commented & provided feedback 6 years ago
karma

And here's also https://bodhi.fedoraproject.org/updates/python-dockerpty-0.4.1-2.fc23

All three should work together, tested myself.

BZ#1300106 docker-compose-1.6.0 is available
User Icon ncoghlan commented & provided feedback 6 years ago
karma

Tested with the new dependencies via direct download from Koji, and this is now working for me.

User Icon jpopelka commented & provided feedback 6 years ago
karma

Seems to work OK.

BZ#1300106 docker-compose-1.6.0 is available

Please login to add feedback.

Metadata
Type
enhancement
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
6 years ago
in testing
6 years ago
BZ#1300106 docker-compose-1.6.0 is available
-1
2

Automated Test Results